# Type alias AdapterConstructorOptions<C, A, N>

AdapterConstructorOptions<C, A, N>: {
definitions: Meta.Pouch.Definitions<C>;
settings: Meta.Pouch.Adapters.Generic.AdapterSettings<A, N>;
}

#### Type Parameters

- #### C extends Meta.Collections

- #### A extends Meta.Pouch.Adapters.Generic.Adapters = Meta.Pouch.Adapters.Generic.Adapters

- #### N extends Meta.Pouch.Adapters.Generic.AdapterName<A> = Meta.Pouch.Adapters.Generic.AdapterName<A>

#### Type declaration

- ##### definitions: Meta.Pouch.Definitions<C>

- ##### settings: Meta.Pouch.Adapters.Generic.AdapterSettings<A, N>

- Defined in packages/db/src/meta/pouch/adapters/types.ts:30

Generated using TypeDoc